%{?nodejs_find_provides_and_requires}

%global enable_tests 0

%if 0%{?fedora}
%global enable_minify 1
%endif

Name:       nodejs-underscore-dot-string
Version:    2.3.1
Release:    %mkrel 4
Summary:    String manipulation extensions for the Underscore.js JavaScript library
# License text is contained within README.markdown.
License:    MIT
Group:      System/Libraries
URL:        https://github.com/epeli/underscore.string
Source0:    http://registry.npmjs.org/underscore.string/-/underscore.string-%{version}.tgz
BuildArch:  noarch

# Building fails due to incorrectly determined file encoding.
# Pull request sent: https://github.com/epeli/underscore.string/pull/210
Patch0:     %{name}-2.3.1-Ensure-correct-encoding.patch

BuildRequires:  nodejs-packaging

%if 0%{?enable_minify}
BuildRequires:  rubygem-rake
BuildRequires:  rubygem-uglifier
%endif

%if 0%{?enable_tests}
BuildRequires:  npm(qunit)
BuildRequires:  phantomjs
%endif

%description
%{summary}.

%prep
%setup -q -n package
%patch0 -p1
# Pre-minified files must be removed and minified manually.
rm -f dist/*

%build
%if 0%{?enable_minify}
/usr/bin/rake build
%endif

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/underscore.string
cp -pr package.json lib/ \
    %{buildroot}%{nodejs_sitelib}/underscore.string

%if 0%{?enable_minify}
cp -pr dist/ \
    %{buildroot}%{nodejs_sitelib}/underscore.string
%endif

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
ln -sf %{nodejs_sitelib} .
%endif

%files
%doc README.markdown
%{nodejs_sitelib}/underscore.string



%changelog
* Wed Feb 12 2020 umeabot <umeabot> 2.3.1-4.mga8
+ Revision: 1492658
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 2.3.1-3.mga7
+ Revision: 1265359
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 2.3.1-2.mga6
+ Revision: 950293
- Mageia 6 Mass Rebuild

* Mon Oct 27 2014 tv <tv> 2.3.1-1.mga5
+ Revision: 793781
- imported package nodejs-underscore-dot-string


* Mon Oct 27 2014 Thierry Vignaud <tv@mageia.org> 2.3.1-1.mga5
- import from FC

* Mon Dec 09 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 2.3.1-3
- conditionalize minification; disable on EPEL due to missing deps

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jun 21 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.3.1-1
- initial package
